Bug 109675 - PATCH: pxeos.py adds "" to kernel and initrd paths in pxelinux.cfg/default
PATCH: pxeos.py adds "" to kernel and initrd paths in pxelinux.cfg/default
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-netboot (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-10 16:32 EST by Phillip Sorensen
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-11 11:08:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to remove "" in default paths (797 bytes, patch)
2003-11-10 16:34 EST, Phillip Sorensen
no flags Details | Diff

  None (edit)
Description Phillip Sorensen 2003-11-10 16:32:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
The default pxelinx configuration file in the pxelinux.cfg/default
file adds "" to the path strings for both the kernel and initrd
locaations.  The config files created by pxeboot.py are correct.

For example the following lines are created in the default file:

label 2
  kernel "fedora-1-install"/vmlinuz
  append initrd="fedora-1-install"/initrd.img ramdisk_size=10000

This causes an error in pxelinux.  It should be:

label 2
  kernel fedora-1-install/vmlinuz
  append initrd=fedora-1-install/initrd.img ramdisk_size=10000


The code that generates this file is the OSList.saveOSList methos in
pxeos.py.  I will attach the brief patch file that fixes this problem.

Version-Release number of selected component (if applicable):
redhat-config-netboot-0.1.2-1

How reproducible:
Always

Steps to Reproduce:
1. Add or Modify a "Network Installation" with pxeos or the
redhat-config-netboot gui.
    

Additional info:
Comment 1 Phillip Sorensen 2003-11-10 16:34:19 EST
Created attachment 95890 [details]
Patch to remove "" in default paths
Comment 2 Daniel Walsh 2003-11-11 11:08:04 EST
Yes, this was a failed attempt to allow spaces within the name of the
OS,  
Seems to work on some machines and not on others.  I have removed them
and now will require no spaces.  redhat-config-netboot-0.1.2-2 should
be in rawhide shortly.

Thanks

Dan

Note You need to log in before you can comment on or make changes to this bug.